> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kiwify.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar participantes



## OpenAPI

````yaml get /events/{product_id}/participants
openapi: 3.1.0
info:
  version: 1.0.0
  title: API Kiwify
  description: ''
servers:
  - url: https://public-api.kiwify.com/v1/
    description: base
security: []
tags:
  - name: Autenticação
  - name: Conta
  - name: Produtos
  - name: Vendas
  - name: Financeiro
  - name: Affiliados
  - name: Webhooks
  - name: Eventos
paths:
  /events/{product_id}/participants:
    get:
      tags:
        - Eventos
      parameters:
        - name: product_id
          in: path
          required: true
          schema:
            type: string
        - name: checked_in
          in: query
          schema:
            type: boolean
        - name: page_size
          in: query
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: created_at_start_date
          in: query
          schema:
            type: string
        - name: created_at_end_date
          in: query
          schema:
            type: string
        - name: updated_at_start_date
          in: query
          schema:
            type: string
        - name: updated_at_end_date
          in: query
          schema:
            type: string
        - name: external_id
          in: query
          schema:
            type: string
        - name: batch_id
          in: query
          schema:
            type: string
        - name: phone
          in: query
          schema:
            type: string
        - name: cpf
          in: query
          schema:
            type: string
        - name: order_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Get Participants
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse'
              examples:
                Participants:
                  summary: Participants example
                  value:
                    pagination:
                      count: 10
                      page_number: 1
                      page_size: 10
                    data:
                      max_tickets: 10
                      available: 7
                      issued_tickets: 3
                      sold_tickets: 2
                      total_checkin: 0
                      participants:
                        - id: ae1603c9-eeda-41c5-84a2-6bffb7c4b333
                          external_id: YRC3IQGCR24TWKT
                          batch_id: c880067d-5fc1-43ea-91fe-8eba9b70b2dc
                          batch_name: lote 1
                          name: Manual
                          email: mycustomer@mail.com
                          cpf: '64365501194'
                          phone: '8229453509'
                          order_id: 44db0fe3-ac96-4895-8a72-8f128e9664a9
                          checkin_at: null
                          created_at: '2023-11-24T10:30:04.855Z'
                          updated_at: '2023-11-24T10:30:04.855Z'
                        - id: a3d6af9a-6b5f-4915-87ea-83033a893833
                          external_id: ZQAU4F3U2E73Z2N
                          batch_id: c880067d-5fc1-43ea-91fe-8eba9b70b2dc
                          batch_name: lote 1
                          name: My Customer
                          email: mycustomer@mail.com
                          cpf: '64365501194'
                          phone: '8229453509'
                          order_id: 44db0fe3-ac96-4895-8a72-8f128e9664a9
                          checkin_at: null
                          created_at: '2023-11-24T10:58:11.057Z'
                          updated_at: '2023-11-24T10:58:11.057Z'
                        - id: 0434160b-4ba2-4b0a-ba13-ff2d3427155d
                          external_id: N7HHNQCFJH0HK57
                          batch_id: c880067d-5fc1-43ea-91fe-8eba9b70b2dc
                          batch_name: lote 1
                          name: My Customer
                          email: mycustomer@mail.com
                          cpf: '64365501194'
                          phone: '8229453509'
                          order_id: 44db0fe3-ac96-4895-8a72-8f128e9664a9
                          checkin_at: null
                          created_at: '2023-11-24T10:59:02.538Z'
                          updated_at: '2023-11-24T10:59:02.538Z'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthErrorResponse'
              examples:
                InvalidClient:
                  value:
                    error: auth_error
                    message: 'Invalid token: access token is invalid'
          description: Solicitação Inválida
        '404':
          description: Não Encontrado
      security:
        - AccountIdHeader: []
          OAuth2:
            - events
components:
  schemas:
    PaginatedResponse:
      type: object
      properties:
        pagination:
          type: object
          properties:
            count:
              type: number
              example: 10
            page_number:
              type: number
              example: 1
            page_size:
              type: number
              example: 10
        data:
          type: array
          example: []
          items: {}
    OAuthErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: auth_error
        message:
          type: string
          example: 'Invalid client: client is invalid'
  securitySchemes:
    AccountIdHeader:
      type: apiKey
      in: header
      name: x-kiwify-account-id
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            stats: stats
            products: products
            events: events
            sales: sales
            sales_refund: sales_refund
            financial: financial
            affiliates: affiliates
            webhooks: webhooks

````